## pgsql-ogr-fdw 1.0.2

=== Makefile ===
# ogr_fdw/Makefile

MODULE_big = ogr_fdw
OBJS = ogr_fdw.o ogr_fdw_deparse.o ogr_fdw_common.o stringbuffer_pg.o
EXTENSION = ogr_fdw
DATA = ogr_fdw--1.0.sql

REGRESS = ogr_fdw

EXTRA_CLEAN = sql/*.sql expected/*.out

GDAL_CONFIG = gdal-config
GDAL_CFLAGS = $(shell $(GDAL_CONFIG) --cflags)
GDAL_LIBS = $(shell $(GDAL_CONFIG) --libs)

PG_CONFIG = pg_config
REGRESS_OPTS = --encoding=UTF8

PG_CPPFLAGS += $(GDAL_CFLAGS)
LIBS += $(GDAL_LIBS)
SHLIB_LINK := $(LIBS)

# order matters, file first, import last
REGRESS = file pgsql import

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)


###############################################################
# Build the utility program after PGXS to override the
# PGXS environment

CFLAGS = $(GDAL_CFLAGS)
LIBS = $(GDAL_LIBS)

ogr_fdw_info$(X): ogr_fdw_info.o ogr_fdw_common.o stringbuffer.o
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

stringbuffer_pg.o: stringbuffer.c stringbuffer.h
	$(CC) $(CFLAGS) -D USE_PG_MEM -c -o $@ $<

clean-exe:
	rm -f ogr_fdw_info$(X) ogr_fdw_info.o stringbuffer.o

install-exe: all
	$(INSTALL_PROGRAM) ogr_fdw_info$(X) '$(DESTDIR)$(bindir)'

all: ogr_fdw_info$(X)

clean: clean-exe

install: install-exe

=== debian/changelog ===
pgsql-ogr-fdw (1.0.2-2) unstable; urgency=low

  * Add license attribution for Thamer Alharbash in d/copyright (Closes:
    #856650).

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Mar 2017 10:06:23 +0100

pgsql-ogr-fdw (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #856538).

 -- Michael Fladischer <fladi@debian.org>  Thu, 02 Mar 2017 08:58:57 +0100

=== debian/control ===
Source: pgsql-ogr-fdw
Section: database
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pgsql-ogr-fdw.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw

Package: postgresql-9.6-ogr-fdw
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

=== debian/rules ===
#!/usr/bin/make -f

# Rebuild debian/control from debian/control.in
include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-ogr-fdw

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf results

## pgsql-ogr-fdw 1.0.5

=== Makefile ===
--- 
+++ 
@@ -20,12 +20,17 @@
 LIBS += $(GDAL_LIBS)
 SHLIB_LINK := $(LIBS)
 
-# order matters, file first, import last
-REGRESS = file pgsql import
-
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
+PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
+HAS_IMPORT_SCHEMA = $(shell [ $(PG_VERSION_NUM) -ge 90500 ] && echo yes)
+
+# order matters, file first, import last
+REGRESS = file pgsql
+ifeq ($(HAS_IMPORT_SCHEMA),yes)
+REGRESS += import
+endif
 
 ###############################################################
 # Build the utility program after PGXS to override the

=== debian/changelog ===
pgsql-ogr-fdw (1.0.5-2) unstable; urgency=medium

  * Add missing postgresql-server-dev-all test dependency.
  * Clean up better after testsuite.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Dec 2017 08:43:26 +0100

pgsql-ogr-fdw (1.0.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.

  [ Christoph Berg ]
  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Dec 2017 20:19:24 +0100

pgsql-ogr-fdw (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Drop gdal-2.2 patch, included by upstream.
  * Replace Priority extra with optional as required by policy 4.0.1.

 -- Michael Fladischer <fladi@debian.org>  Tue, 17 Oct 2017 18:19:28 +0200

pgsql-ogr-fdw (1.0.3-1) unstable; urgency=medium

  * New upstream version with PostgreSQL 10 support.
  * Remove typos.patch.
  * Pull patch from upstream to fix building with gdal-2.2.
  * debian/tests: Run testsuite.
  * Patch Makefile to skip the "import foreign schema" tests on 9.3 and 9.4.
  * Add myself to Uploaders.
  * Bump S-V; no changes.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Oct 2017 15:17:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: pgsql-ogr-fdw
 Section: database
-Priority: extra
+Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>,
+           Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 10),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pgsql-ogr-fdw.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
 
-Package: postgresql-9.6-ogr-fdw
+Package: postgresql-10-ogr-fdw
 Architecture: any
-Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL foreign data wrapper for OGR
  OGR is the vector half of the GDAL spatial data access library. It allows
  access to a large number of GIS data formats using a simple C API for data

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 override_dh_auto_clean:
 	+pg_buildext clean build-%v
-	rm -rf results
+	$(MAKE) clean

=== debian/tests/control ===
Depends: @, newpid, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/pgsql-ogr-fdw-$1/ \
https://github.com/pramsey/pgsql-ogr-fdw/releases \
/pramsey/pgsql-ogr-fdw/archive/v([\d\.]+)\.tar\.gz

## pgsql-ogr-fdw 1.0.6

=== debian/changelog ===
pgsql-ogr-fdw (1.0.6-2) unstable; urgency=medium

  * Ignore test failure on 32-bit; see
    https://github.com/pramsey/pgsql-ogr-fdw/issues/135.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 23 Jul 2018 15:44:32 +0200

pgsql-ogr-fdw (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update copyright file, add license & copyright for stringbuffer_pg.c.
  * Refresh patches.
  * Fix typo in patch description.
  * Enable all hardening buildflags.
  * Add patch to use LDFLAGS for hardeningflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Jul 2018 19:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper (>= 10),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pgsql-ogr-fdw.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pgsql-ogr-fdw.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
 
 Package: postgresql-10-ogr-fdw

## pgsql-ogr-fdw 1.0.7

=== debian/changelog ===
pgsql-ogr-fdw (1.0.7-2.pgdg16.04+2) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 13 Oct 2018 08:33:53 +0200

pgsql-ogr-fdw (1.0.7-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Oct 2018 08:33:53 +0200

pgsql-ogr-fdw (1.0.7-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql-11.
  * Restructure control file with cme.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Oct 2018 09:06:15 +0200

pgsql-ogr-fdw (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to handle common issues.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Sep 2018 07:10:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: pgsql-ogr-fdw
-Section: database
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Christoph Berg <myon@debian.org>
+Section: database
+Priority: optional
 Build-Depends: debhelper (>= 10),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
 
-Package: postgresql-10-ogr-fdw
+Package: postgresql-9.3-ogr-fdw
 Architecture: any
-Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.3,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: PostgreSQL foreign data wrapper for OGR
  OGR is the vector half of the GDAL spatial data access library. It allows
  access to a large number of GIS data formats using a simple C API for data
@@ -40,3 +42,153 @@
     minimal efficiency improvement, but can be removed given some development
     time, since the OGR API supports returning a subset of columns.
 
+Package: postgresql-9.4-ogr-fdw
+Architecture: any
+Depends: postgresql-9.4,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-9.5-ogr-fdw
+Architecture: any
+Depends: postgresql-9.5,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-9.6-ogr-fdw
+Architecture: any
+Depends: postgresql-9.6,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-10-ogr-fdw
+Architecture: any
+Depends: postgresql-10,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-11-ogr-fdw
+Architecture: any
+Depends: postgresql-11,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+

## pgsql-ogr-fdw 1.0.8

=== debian/changelog ===
pgsql-ogr-fdw (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * Add upstream metadata.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 09:48:49 +0200

pgsql-ogr-fdw (1.0.8-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Add lintian overrides for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 May 2019 07:04:51 +0200

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper (>= 10),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw

Package: postgresql-11-ogr-fdw
Architecture: any
Depends: postgresql-11,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

## pgsql-ogr-fdw 1.0.9

=== Makefile ===
--- 
+++ 
@@ -42,9 +42,6 @@
 ogr_fdw_info$(X): ogr_fdw_info.o ogr_fdw_common.o stringbuffer.o
 	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)
 
-stringbuffer_pg.o: stringbuffer.c stringbuffer.h
-	$(CC) $(CFLAGS) -D USE_PG_MEM -c -o $@ $<
-
 clean-exe:
 	rm -f ogr_fdw_info$(X) ogr_fdw_info.o stringbuffer.o

=== debian/changelog ===
pgsql-ogr-fdw (1.0.9-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:15:29 +0100

pgsql-ogr-fdw (1.0.9-1build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:34:16 +0000

pgsql-ogr-fdw (1.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Nov 2019 05:53:30 +0100

pgsql-ogr-fdw (1.0.8-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 Oct 2019 20:07:01 +0100

pgsql-ogr-fdw (1.0.8-2~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add Provides for virtual package without PostgreSQL version.
  * Update packaging for postgresql-12.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Oct 2019 05:57:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Build-Depends: debhelper (>= 10),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
 
-Package: postgresql-11-ogr-fdw
+Package: postgresql-12-ogr-fdw
 Architecture: any
-Depends: postgresql-11,
+Depends: postgresql-12,
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: postgresql-ogr-fdw
 Description: PostgreSQL foreign data wrapper for OGR
  OGR is the vector half of the GDAL spatial data access library. It allows
  access to a large number of GIS data formats using a simple C API for data
@@ -41,4 +42,3 @@
     only requesting the columns needed to fulfill a query. This would be a
     minimal efficiency improvement, but can be removed given some development
     time, since the OGR API supports returning a subset of columns.
-

## pgsql-ogr-fdw 1.0.12

=== debian/changelog ===
pgsql-ogr-fdw (1.0.12-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Oct 2020 05:52:52 +0200

pgsql-ogr-fdw (1.0.12-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Oct 2020 05:52:52 +0200

pgsql-ogr-fdw (1.0.12-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql-13.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 08:21:14 +0200

pgsql-ogr-fdw (1.0.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 May 2020 05:54:04 +0200

pgsql-ogr-fdw (1.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 May 2020 06:02:20 +0200

pgsql-ogr-fdw (1.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Also support debhelper 10 backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 May 2020 08:38:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,137 @@
            Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10~),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
+
+Package: postgresql-9.5-ogr-fdw
+Architecture: any
+Depends: postgresql-9.5,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: postgresql-ogr-fdw
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-9.6-ogr-fdw
+Architecture: any
+Depends: postgresql-9.6,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: postgresql-ogr-fdw
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-10-ogr-fdw
+Architecture: any
+Depends: postgresql-10,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: postgresql-ogr-fdw
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-11-ogr-fdw
+Architecture: any
+Depends: postgresql-11,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: postgresql-ogr-fdw
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.
 
 Package: postgresql-12-ogr-fdw
 Architecture: any
@@ -42,3 +166,34 @@
     only requesting the columns needed to fulfill a query. This would be a
     minimal efficiency improvement, but can be removed given some development
     time, since the OGR API supports returning a subset of columns.
+
+Package: postgresql-13-ogr-fdw
+Architecture: any
+Depends: postgresql-13,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Provides: postgresql-ogr-fdw
+Description: PostgreSQL foreign data wrapper for OGR
+ OGR is the vector half of the GDAL spatial data access library. It allows
+ access to a large number of GIS data formats using a simple C API for data
+ reading and writing. Since OGR exposes a simple table structure and PostgreSQL
+ foreign data wrappers allow access to table structures, the fit seems pretty
+ perfect.
+ .
+ This implementation currently has the following limitations:
+  * Only non-spatial query restrictions are pushed down to the OGR driver.
+    PostgreSQL foreign data wrappers support delegating portions of the SQL
+    query to the underlying data source, in this case OGR. This implementation
+    currently pushes down only non-spatial query restrictions, and only for the
+    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
+  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
+    restrictions and even (for some drivers) more explicit intersection
+    restrictions, but those are not passed to the OGR driver yet.
+  * OGR connections every time Rather than pooling OGR connections, each query
+    makes (and disposes of) two new ones, which seems to be the largest
+    performance drag at the moment for restricted (small) queries.
+  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
+    require all columns all the time, and some efficiencies can be gained by
+    only requesting the columns needed to fulfill a query. This would be a
+    minimal efficiency improvement, but can be removed given some development
+    time, since the OGR API supports returning a subset of columns.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pgsql-ogr-fdw)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pgsql-ogr-fdw-$1.$2/ \
https://github.com/pramsey/pgsql-ogr-fdw/releases \
(?:.*?/archive/)?(?:rel|v|pgsql-ogr-fdw)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pgsql-ogr-fdw 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,18 @@
 # ogr_fdw/Makefile
 
 MODULE_big = ogr_fdw
-OBJS = ogr_fdw.o ogr_fdw_deparse.o ogr_fdw_common.o stringbuffer_pg.o
+
+OBJS = \
+	ogr_fdw.o \
+	ogr_fdw_deparse.o \
+	ogr_fdw_common.o \
+	ogr_fdw_func.o \
+	stringbuffer_pg.o
+
 EXTENSION = ogr_fdw
-DATA = ogr_fdw--1.0.sql
+DATA = \
+	ogr_fdw--1.0--1.1.sql \
+	ogr_fdw--1.1.sql
 
 REGRESS = ogr_fdw

=== debian/changelog ===
pgsql-ogr-fdw (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set PG_UPDATECONTROL=yes in rules file.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2021 06:05:45 +0100

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper (>= 10~),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw

Package: postgresql-13-ogr-fdw
Architecture: any
Depends: postgresql-13,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\

## pgsql-ogr-fdw 1.1.1

=== debian/changelog ===
pgsql-ogr-fdw (1.1.1-3build1) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:31:21 +0000

pgsql-ogr-fdw (1.1.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix pgsql test failure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Oct 2021 20:45:09 +0200

pgsql-ogr-fdw (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 14:23:12 +0200

pgsql-ogr-fdw (1.1.1-2~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update packaging for postgresql-14.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Oct 2021 21:48:34 +0200

pgsql-ogr-fdw (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 16:38:12 +0200

pgsql-ogr-fdw (1.1.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Jun 2021 06:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pgsql-ogr-fdw
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
 
-Package: postgresql-13-ogr-fdw
+Package: postgresql-14-ogr-fdw
 Architecture: any
-Depends: postgresql-13,
+Depends: postgresql-14,
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: postgresql-ogr-fdw

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pgsql-ogr-fdw)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pgsql-ogr-fdw-$1.$2/ \
https://github.com/pramsey/pgsql-ogr-fdw/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pgsql-ogr-fdw)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
